#/bin/sh

#### Include the library
. $(which sh2ju.sh)

#### Success command
juLog -name=myTrueCommand true

#### Test op5updates packagelist
TEMPFILE=`mktemp`
# Mock yum list updates with indented output
repoquery() {
	cat data/yumupdates.packages
}
export -f repoquery
/etc/cron.hourly/op5updates packagelist > $TEMPFILE
juLog -name=CheckYumUpdateCount [ "67" == "`cat /opt/op5sys/etc/updates`" ]

#### Test op5updates packagelist
TEMPFILE=`mktemp`
# Mock yum list updates with empty result set
repoquery() {
	echo
}
export -f repoquery
/etc/cron.hourly/op5updates packagelist > $TEMPFILE
juLog -name=CheckYumUpdateListEmpty [ "--No packages available for update--" == "`cat $TEMPFILE`" ]
juLog -name=CheckYumUpdateCount [ "0" == "`cat /opt/op5sys/etc/updates`" ]

exit $errors
